(* DAYBAT.PAS 1.1
 *
 * Runs a different batch file each day. Will send upto five command
 * line variables to the batch file.  Exits with errorlevels 1-7 for
 * days Sunday-Saturday.
 *
 * By Joseph Sheppard, The Ledge PCBoard (818) 352-3620
 *
 * Shareware Material.  Use at your own risk.  Author assumes no
 * responsibility.
 *)


{$M 16000,42000,42000}
{$L-}
{$V-}

program daybat;

uses dos;

const
   days: array[0..6] of string[3] =
   ('SUN','MON','TUE','WED','THU','FRI','SAT');
   sp=' ';

var

 y,m,d,w:               word;
 bat,params:            string;
 fd:                    text;
 exitlevel:             integer;

(* ---------------------------------------------------------------- *)
procedure show_help;

begin
  writeln;
  writeln('DAYBAT will run a different batch file every day of the week.');
  writeln('The Batch files must be named with the first three letters of the day');
  writeln('of the week followed by .BAT (Example: MON.BAT, TUES.BAT, etc.).  The');
  writeln('batch files must be located in the DOS Path, or the same directory as');
  Writeln('DAYBAT.EXE.  Upto five command line variables may be passed to the batch');
  Writeln('file.  DAYBAT terminates with errorlevels set to 1-7 for Sunday-Saturday');
  Writeln('(Sunday=1, Monday=2, Wednesday=3, etc.)');
  writeln;
  writeln('Run DAYBAT in your AUTOEXEC.BAT to activate a new batch file each day!');
  writeln;
  writeln('DAYBAT is released under the Shareware concept.  If this program meets');
  writeln('your needs, please send the author whatever you feel the program is worth.');
  writeln('The suggested amount is $5.00.  Send contributions to:');
  writeln;
  writeln('          Joseph Sheppard');
  writeln('          PO Box 10');
  writeln('          Tujunga, CA 91043-0010');
end;

(* ---------------------------------------------------------------- *)
procedure find_bat;

begin

  assign(fd,bat);
   {$i-} reset(fd); {$i+}
   if ioresult <> 0 then
   begin
   writeln(bat,' not found.');
   halt;



end;

  close(fd);

  end;

(* ---------------------------------------------------------------- *)
procedure run_bat;

begin
  writeln;
  writeln('<DAYBAT ?> for instructions');
  writeln;
  find_bat;
  writeln('Executing ',bat);
  writeln;
  exec(getenv('COMSPEC'),'/c'+ bat+sp+params);

end;

(* ---------------------------------------------------------------- *)


begin
  writeln;
  writeln('DAYBAT V1.1 by Joseph Sheppard, The Ledge PCBoard (818) 352-3620 - HST');
  GetDate(y,m,d,w);
  bat:=days[w]+'.BAT';
  exitlevel:=w+1;
  params:=paramstr(1)+sp+paramstr(2)+sp+paramstr(3)+sp+paramstr(4)+sp+paramstr(5);
  if paramstr(1)='?' then show_help;
  if paramstr(1)<>'?' then run_bat;
  writeln;
  halt(exitlevel);


end.

                            
  
